appendzip.cpp File Reference

Source code to a small program appendzip that appends a zip archive to another file. More...

`#include "zipios++/zipios-config.h"`
`#include "zipios++/meta-iostreams.h"`
`#include "zipios++/ziphead.h"`
`#include "zipios++/zipheadio.h"`
`#include <stdlib.h>`
Include dependency graph for appendzip.cpp:

Go to the source code of this file.

## Functions

void | printUsage ()
void | exitUsage (int exit_code)
int | main (int argc, char *argv[])

## Variables

char * | _progname

## Detailed Description

Source code to a small program appendzip that appends a zip archive to another file.

Run appendzip without arguments to get a helpful usage message.

Definition in file appendzip.cpp.

## Function Documentation

## exitUsage()

void exitUsage | ( | int | exit_code | ) |

Definition at line 55 of file appendzip.cpp.

## main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 18 of file appendzip.cpp.

## printUsage()

void printUsage | ( |  | ) |

Definition at line 51 of file appendzip.cpp.

## Variable Documentation

## _progname

char* _progname

Definition at line 13 of file appendzip.cpp.